Skip to main content
GET
/
api
/
v1
/
assets
/
{asset}
/
networks
Get supported networks per asset
curl --request GET \
  --url https://api.international.coinbase.com/api/v1/assets/{asset}/networks
import requests

url = "https://api.international.coinbase.com/api/v1/assets/{asset}/networks"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.international.coinbase.com/api/v1/assets/{asset}/networks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "asset_id": 3379757734632303,
    "asset_uuid": "592a8039-db3e-45ed-b752-ffd1983eead2",
    "asset_name": "ETH",
    "network_arn_id": "networks/ethereum-mainnet/assets/313ef8a9-ae5a-5f2f-8a56-572c0e2a4d5a",
    "min_withdrawal_amt": 0.001,
    "max_withdrawal_amt": 355.575,
    "network_confirms": 5,
    "processing_time": 3600,
    "is_default": true,
    "network_name": "ethereum",
    "display_name": "Ethereum"
  }
]
AssetsService assetsService = IntxServiceFactory.createAssetsService(client);
GetSupportedNetworksRequest request = new GetSupportedNetworksRequest.Builder()
    .asset("BTC")
    .build();
GetSupportedNetworksResponse response = assetsService.getSupportedNetworks(request);
For more information, please visit the INTX Java SDK.

Path Parameters

asset
string
required

Identifies the asset by name (e.g., BTC), UUID (e.g., 291efb0f-2396-4d41-ad03-db3b2311cb2c), or asset ID (e.g., 1482439423963469)

Response

Asset found

asset_id
string

A unique identifier to represent the asset

Example:

3379757734632303

asset_uuid
string<uuid>

A UUID to represent the asset

Example:

"592a8039-db3e-45ed-b752-ffd1983eead2"

asset_name
string

The name of the asset

Example:

"ETH"

network_arn_id
string

A unique identifier representing the combination of the network and asset

Example:

"networks/ethereum-mainnet/assets/313ef8a9-ae5a-5f2f-8a56-572c0e2a4d5a"

min_withdrawal_amt
string

The minimum amount of the asset that can be withdrawn from the network

Example:

0.001

max_withdrawal_amt
string

The maximum amount of the asset that can be withdrawn from the network

Example:

355.575

network_confirms
integer

The number of confirmations required on the network for a transaction

Example:

5

processing_time
integer

Number of seconds estimated to process a transaction on the network

Example:

3600

is_default
boolean

Indicates whether this is the default network for the asset

network_name
string

The common name of the network

Example:

"ethereum"

display_name
string

The human readable name of the network

Example:

"Ethereum"